Description: Rename links to links2
Forwarded: not-needed

--- a/mailcap.pl
+++ b/mailcap.pl
@@ -3,7 +3,7 @@
 # version 1.00 by <grin@tolna.net>
 # Released under GPLv2 or later
 #
-# Usage: mailcap-convert.pl /etc/mailcap >> ~/.links/links.cfg
+# Usage: mailcap-convert.pl /etc/mailcap >> ~/.links2/links.cfg
 #
 
 print "association \"-=BEGIN DEBIAN CONVERT=-\" \"\" \"\" 23 1\n";
--- a/default.c
+++ b/default.c
@@ -805,7 +805,7 @@
 		while (home_links[0] && dir_sep(home_links[strlen(cast_const_char home_links) - 1])) home_links[strlen(cast_const_char home_links) - 1] = 0;
 		EINTRLOOP(rs, stat(cast_const_char home_links, &st));
 		if (!rs && S_ISDIR(st.st_mode)) {
-			add_to_strn(&home_links, cast_uchar "/links");
+			add_to_strn(&home_links, cast_uchar "/links2");
 		} else {
 			fprintf(stderr, "CONFIG_DIR set to %s. But directory %s doesn't exist.\n\007", config_dir, home_links);
 			portable_sleep(3000);
@@ -816,11 +816,11 @@
 	} else {
 		add_dot_links:
 #if defined(DOS)
-		add_to_strn(&home_links, cast_uchar "links.cfg");
+		add_to_strn(&home_links, cast_uchar "links2.cfg");
 #elif defined(OPENVMS) || defined(HAIKU)
-		add_to_strn(&home_links, cast_uchar "links");
+		add_to_strn(&home_links, cast_uchar "links2");
 #else
-		add_to_strn(&home_links, cast_uchar ".links");
+		add_to_strn(&home_links, cast_uchar ".links2");
 #endif
 	}
 	EINTRLOOP(rs, stat(cast_const_char home_links, &st));
@@ -848,7 +848,7 @@
 #ifdef DOS
 	add_to_strn(&home_links, cast_uchar "links.cfg");
 #else
-	add_to_strn(&home_links, cast_uchar "links");
+	add_to_strn(&home_links, cast_uchar "links2");
 #endif
 	EINTRLOOP(rs, stat(cast_const_char home_links, &st));
 	if (rs) {
@@ -891,7 +891,7 @@
 	get_compiler_name();
 	links_home = get_home(&first_use);
 	if (!links_home) {
-		fprintf(stderr, "Unable to find or create links config directory. Please check, that you have $HOME variable set correctly and that you have write permission to your home directory.\n\007");
+		fprintf(stderr, "Unable to find or create links2 config directory. Please check, that you have $HOME variable set correctly and that you have write permission to your home directory.\n\007");
 		portable_sleep(3000);
 		return;
 	}
--- a/links.1
+++ b/links.1
@@ -1,12 +1,12 @@
 .\" Process this file with groff -man -Tascii links.1
-.TH LINKS 1 "Aug, 2006"
+.TH LINKS2 1 "Aug, 2006"
 .SH NAME
 links \- lynx-like alternative character mode WWW browser
 .SH SYNOPSIS
-.B links
+.B links2
 .I "[options] URL"
 .SH DESCRIPTION
-.B links
+.B links2
 is a text mode WWW browser with ncurses interface, supporting
 colors, correct table rendering, background downloading, menu
 driven configuration interface and slim code.
@@ -15,7 +15,7 @@
 associated with external viewers. mailto: and telnet:
 are supported via external clients.
 .P
-.I links
+.I links2
 can handle local (file://) or remote (http:// or ftp://) URLs.
 .PP
 
@@ -39,10 +39,10 @@
 
 .TP
 \f3-g\f1
-Run Links in graphics mode. If not given, Links will run in text mode.
-Running in graphics mode means that Links will probe all compiled-in graphics
-devices and run on the first found. If none found, links will not run in
-graphics mode. This option works only if --enable-graphics was given
+Run Links2 in graphics mode. If not given, Links2 will run in text mode.
+Running in graphics mode means that Links2 will probe all compiled\(hyin graphics
+devices and run on the first found. If none found, links2 will not run in
+graphics mode. This option works only if \(hy\(hyenable\(hygraphics was given
 to ./configure.
 
 .TP
@@ -87,7 +87,7 @@
 .TP
 \f3-codepage \f2<codepage>\f1
 For dump, convert output to specified character set --
-for eaxmple iso-8859-2, windows-1250.
+for example iso-8859-2, windows-1250.
 
 .TP
 \f3-anonymous\f1
@@ -98,7 +98,7 @@
 
 .TP
 \f3-no-connect\f1
-Runs links as a separate instance - instead of connecting to
+Runs links2 as a separate instance - instead of connecting to
 existing instance.
 
 .TP
@@ -268,7 +268,7 @@
 \f3-http-bugs.allow-blacklist \f2<0>/<1>\f1
 (default 1)
 "1" defaults to using list of servers that have broken HTTP/1.1 support.
-When links finds such server, it will retry the request with HTTP/1.0.
+When links2 finds such server, it will retry the request with HTTP/1.0.
 
 .TP
 \f3-http-bugs.bug-no-accept-charset \f2<0>/<1>\f1
@@ -403,7 +403,7 @@
 
 .TP
 \f3-user-gamma \f2<fp-value>\f1
-Additional gamma. (defult 1)
+Additional gamma. (default 1)
 
 .TP
 \f3-bfu-aspect \f2<fp-value>\f1
@@ -600,7 +600,7 @@
 Ignore colors specified in html document in graphics mode.
 
 .PP
-More options can be seen with links \-h
+More options can be seen with links2 \-h
 
 .SH NAVIGATION KEYS
 The keys you may use while navigating are
@@ -735,13 +735,16 @@
 jump at the end
 .TP
 .B ^X
-cut to clipboard
+cut to clipboard (text mode only)
 .TP
 .B ^B
 copy to clipboard
 .TP
+.B ^INS
+copy to clipboard
+.TP
 .B ^V
-paste from clipboard
+paste from clipboard (text mode only)
 .TP
 .B ENTER
 enter line
@@ -762,7 +765,7 @@
 delete from beginning of the line
 .TP
 .B ^K
-delete to the end of the line or delete line (in textarea)
+delete to the end of the line
 .TP
 .B ^W
 auto complete line
@@ -773,40 +776,48 @@
 
 .SH FILES
 .TP
-.IP "~/.links/links.cfg"
-Per-user configfile, automatically created by
-.B links.
+.IP "~/.links2/links.cfg"
+Per\(hyuser configfile, automatically created by
+.B links2.
 .SH PLATFORMS
-.B links
+.B links2
 is known to work on Linux, FreeBSD, Solaris, IRIX, HPUX, Digital Unix, AIX,
 OS/2, BeOS and Win32.
 .SH BUGS
+Can't connect to some FTP servers (Novell, NT). Connection stays in "Request
+sent" state.
+.PP
+Frames don't work if there's more frames with same name. Turn them off in such
+case.
+.PP
 You can't upload large files; it takes _lots_ of memory.
 .PP
+You shouldn't press '^Z' when you are in a viewer
+.PP
 Please report any other bugs you find to Mikulas Patocka
 <mikulas@artax.karlin.mff.cuni.cz>
 
 .SH LICENSE
-.B links
+.B links2
 is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 .SH AUTHOR
-.I links
+.I links2
 was written by
 .B Mikulas Patocka, Karel 'Clock' Kulhavy, Petr 'Brain' Kulhavy, and Martin 'PerM' Pergel.
 See file
 .I AUTHORS
 for a list of people contributing to this project.
 .P
-The homepage of links can be found at
+The homepage of links2 can be found at
 .BI http://links.twibright.com/
 .P
 This manual page was written by Peter Gervai <grin@tolna.net>,
 using excerpts from a (yet?) unknown
-.I links
+.I links2
 fan
 for the Debian GNU/Linux system (but may be used by others). Updated by Karel Kulhavy.
 
